#include "stack.h"
#include <stdio.h>


int main() {
	// Stack-Variable erstellen -> Typ ist in stack.h definiert
	stack_t keller;
	
	// Stack erstellen / Stack-Variable initialisieren
	keller = stack_create();
	
	data_t elem;

	/* Stack mit Integer-Werten von 65 bis 90 füllen -> Das sind die ASCII-Werte der Zeichen A bis Z */	
	int i;
	for(i = 65; i<91; i++) {
		elem.i=i;

		printf("Push: %c\n", i);
		stack_push(elem, keller);
	}

	/* Kompletten Stack Inhalt auslesen, als char interpretieren und auf Konsole ausgeben */
	while(!stack_pop(&elem,keller))
		printf("Pop: %c\n",elem.c);

	// Stack entfernen
	stack_destroy(keller);

	return 0;
}
